Lms Comments
Alle Operationen rund um Lms Comments.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| LMS Comment | lms_comment |
10 | — | lms_comment_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/lms_comments |
Create lms_comment | Create a new lms_comment in the active tenant. |
DELETE |
/v1/lms_comments/{id} |
Delete lms_comment | Soft delete entity. |
GET |
/v1/lms_comments/{id} |
Get lms_comment by id | Fetch a single lms_comment. |
GET |
/v1/lms_comments/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/lms_comments/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/lms_comments/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/lms_comments |
List lms_comments | List lms_comments for the active tenant. |
PATCH |
/v1/lms_comments/{id} |
Patch lms_comment | JSON Merge Patch update. |
POST |
/v1/lms_comments/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/lms_comments/{id}/transition |
POST /v1/lms_comments/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/lms_comments/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/lms_comments/{id} |
Replace lms_comment | Full replace with optimistic locking. |